'use strict';

const express = require('express');
const cors = require('cors');
const socketIO = require('socket.io');

const PORT = process.env.PORT || 3000;
const INDEX = '/index.html';

const app = express();
const server = app.use((req, res) => res.sendFile(INDEX, { root: __dirname })).use(cors()).listen(PORT, () => console.log(`Listening on ${PORT}`));
const io = socketIO(server, {
  origins: ["localhost:7457", "https://dmr-socketio.herokuapp.com"],

  handlePreflightRequest: (req, res) => {
    res.writeHead(200, {
      "Access-Control-Allow-Origin": "localhost:7457",
      "Access-Control-Allow-Methods": "GET,POST",
      "Access-Control-Allow-Headers": "my-custom-header",
      "Access-Control-Allow-Credentials": true
    });
    res.end();
  }
});

io.on('connection', (socket) => {
  console.log('Client connected');
  io.emit('connected');
  socket.on('disconnect', () => console.log('Client disconnected'));
});

setInterval(() => io.emit('time', new Date().toTimeString()), 1000);